GreatWksGraphInternal::Frame Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
GreatWksGraphInternal::Frame Struct Reference

Internal: the graphic zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::Frame:

## Public Types
enum | Type { T_BAD , T_BASIC , T_GROUP , T_PICTURE , T_TEXT , T_DBFIELD , T_UNSET }
| the frame type More...

## Public Member Functions
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
virtual Type | getType () const
| return the frame type
virtual void | print (std::ostream &o) const
| a virtual print function

## Public Attributes
int | m_type
| the zone type
int | m_styleId
| the style identifier
int | m_parent
| the parent identifier
int | m_order
| the z order
long | m_dataSize
| the data size ( if know)
MWAWBox2f | m_box
| the zone bdbox
int | m_page
| the page
std::string | m_extra
| extra data
bool | m_parsed
| true if the frame is send

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &zone)
| operator<<

## Detailed Description

Internal: the graphic zone of a GreatWksGraph.

## Member Enumeration Documentation

## ◆ Type

enum GreatWksGraphInternal::Frame::Type

the frame type

Enumerator
T_BAD |
T_BASIC |
T_GROUP |
T_PICTURE |
T_TEXT |
T_DBFIELD |
T_UNSET |

## Constructor & Destructor Documentation

## ◆ Frame() [1/2]

GreatWksGraphInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## ◆ Frame() [2/2]

GreatWksGraphInternal::Frame::Frame | ( | Frame const & |  | ) |
| default

## ◆ ~Frame()

GreatWksGraphInternal::Frame::~Frame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getType()

virtual Type GreatWksGraphInternal::Frame::getType | ( |  | ) | const
| inlinevirtual

return the frame type

Reimplemented in GreatWksGraphInternal::FrameBad, GreatWksGraphInternal::FrameShape, GreatWksGraphInternal::FrameGroup, GreatWksGraphInternal::FramePicture, GreatWksGraphInternal::FrameText, and GreatWksGraphInternal::FrameDBField.

Referenced by GreatWksGraph::readFrameExtraData().

## ◆ print()

virtual void GreatWksGraphInternal::Frame::print | ( | std::ostream & | o | ) | const
| inlinevirtual

a virtual print function

Reimplemented in GreatWksGraphInternal::FrameShape, GreatWksGraphInternal::FrameGroup, GreatWksGraphInternal::FramePicture, GreatWksGraphInternal::FrameText, and GreatWksGraphInternal::FrameDBField.

Referenced by GreatWksGraphInternal::FrameShape::print(), GreatWksGraphInternal::FrameGroup::print(), GreatWksGraphInternal::FramePicture::print(), GreatWksGraphInternal::FrameText::print(), and GreatWksGraphInternal::FrameDBField::print().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | zone )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f GreatWksGraphInternal::Frame::m_box

the zone bdbox

Referenced by print(), GreatWksGraph::readFrameHeader(), and GreatWksGraph::sendGroupChild().

## ◆ m_dataSize

long GreatWksGraphInternal::Frame::m_dataSize

the data size ( if know)

Referenced by print(), and GreatWksGraph::readFrameExtraData().

## ◆ m_extra

std::string GreatWksGraphInternal::Frame::m_extra

extra data

Referenced by print().

## ◆ m_order

int GreatWksGraphInternal::Frame::m_order

the z order

Referenced by print(), and GreatWksGraph::readFrameHeader().

## ◆ m_page

int GreatWksGraphInternal::Frame::m_page

the page

Referenced by GreatWksGraph::canCreateGraphic(), print(), and GreatWksGraph::sendGroupChild().

## ◆ m_parent

int GreatWksGraphInternal::Frame::m_parent

the parent identifier

Referenced by print(), and GreatWksGraph::readFrameHeader().

## ◆ m_parsed

bool GreatWksGraphInternal::Frame::m_parsed
| mutable

true if the frame is send

## ◆ m_styleId

int GreatWksGraphInternal::Frame::m_styleId

the style identifier

Referenced by print(), GreatWksGraph::readFrameHeader(), GreatWksGraph::sendShape(), and GreatWksGraph::sendTextbox().

## ◆ m_type

int GreatWksGraphInternal::Frame::m_type

the zone type

Referenced by print(), GreatWksGraph::readFrameExtraData(), and GreatWksGraph::readFrameHeader().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx